Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util.test
Class SimpleTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  AESSICTest, AlgorithmParametersTest, AttrCertSelectorTest, AttrCertTest, BaseBlockCipherTest, BlockCipherTest, CertPathBuilderTest, CertPathTest, CertPathValidatorTest, CertStoreTest, CertTest, CertUniqueIDTest, CipherStreamTest, CRL5Test, DESedeTest, DHTest, DigestTest, DSATest, ECDSA5Test, ECEncodingTest, ECNRTest, ElGamalTest, GOST28147Test, GOST3410Test, HMacTest, IESTest, ImplicitlyCaTest, KeyStoreTest, MacTest, MQVTest, MultiCertStoreTest, NamedCurveTest, NISTCertPathTest, OCSPTest, PBETest, PKCS10CertRequestTest, PKCS12StoreTest, PKIXNameConstraintsTest, PKIXPolicyMappingTest, PSSTest, ReaderTest, RSATest, SerialisationTest, SigNameTest, SigTest, SlotTwoTest, WriterTest, X509CertificatePairTest, X509LDAPCertStoreTest, X509StoreTest, X509StreamParserTest

    public abstract class SimpleTest

extends java.lang.Object
implements Test

Constructor Summary
`SimpleTest()`

Method Summary
`protected boolean` `areEqual(byte[] a, byte[] b)`
`protected void` `fail(java.lang.String message)`
`protected void` `fail(java.lang.String message, java.lang.Object expected, java.lang.Object found)`
`protected void` `fail(java.lang.String message, java.lang.Throwable throwable)`
`abstract java.lang.String` `getName()`
`TestResult` `perform()`
`abstract void` `performTest()`
`protected static void` `runTest(Test test)`
`protected static void` `runTest(Test test, java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTest

    public SimpleTest()

Method Detail

### getName

    public abstract java.lang.String getName()

  Specified by:
    `getName` in interface `Test`

### fail

    protected void fail(java.lang.String message)

### fail

    protected void fail(java.lang.String message,
                        java.lang.Throwable throwable)

### fail

    protected void fail(java.lang.String message,
                        java.lang.Object expected,
                        java.lang.Object found)

### areEqual

    protected boolean areEqual(byte[] a,
                               byte[] b)

### perform

    public TestResult perform()

  Specified by:
    `perform` in interface `Test`

### runTest

    protected static void runTest(Test test)

### runTest

    protected static void runTest(Test test,
                                  java.io.PrintStream out)

### performTest

    public abstract void performTest()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45